---
title: GamepadPose
slug: Web/API/GamepadPose
tags:
  - API
  - Experimental
  - Gamepad
  - GamepadPose
  - Interface
  - Reference
  - VR
  - Virtual Reality
  - WebVR
---
<div>{{APIRef("Gamepad API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>GamepadPose</code></strong> interface of the <a href="/en-US/docs/Web/API/Gamepad_API">Gamepad API</a> represents the pose of a <a href="/en-US/docs/Web/API/WebVR_API">WebVR</a> controller at a given timestamp (which includes orientation, position, velocity, and acceleration information.)</p>

<p>This interface is accessible through the {{domxref("Gamepad.pose")}} property.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("GamepadPose.hasOrientation")}} {{readonlyInline}}</dt>
 <dd>Returns a boolean indicating whether the gamepad is capable of returning orientation information (<code>true</code>) or not (<code>false</code>).</dd>
 <dt>{{domxref("GamepadPose.hasPosition")}} {{readonlyInline}}</dt>
 <dd>Returns a boolean indicating whether the gamepad is capable of returning position information (<code>true</code>) or not (<code>false</code>).</dd>
 <dt>{{domxref("GamepadPose.position")}} {{readonlyInline}}</dt>
 <dd>Returns the position of the {{domxref("Gamepad")}} as a 3D vector.</dd>
 <dt>{{domxref("GamepadPose.linearVelocity")}} {{readonlyInline}}</dt>
 <dd>Returns the linear velocity of the {{domxref("Gamepad")}}, in meters per second.</dd>
 <dt>{{domxref("GamepadPose.linearAcceleration")}} {{readonlyInline}}</dt>
 <dd>Returns the linear acceleration of the {{domxref("Gamepad")}}, in meters per second per second.</dd>
 <dt>{{domxref("GamepadPose.orientation")}} {{readonlyInline}}</dt>
 <dd>Returns the orientation of the {{domxref("Gamepad")}}, as a quarternion value.</dd>
 <dt>{{domxref("GamepadPose.angularVelocity")}} {{readonlyInline}}</dt>
 <dd>Returns the angular velocity of the {{domxref("Gamepad")}}, in radians per second.</dd>
 <dt>{{domxref("GamepadPose.angularAcceleration")}} {{readonlyInline}}</dt>
 <dd>Returns the angular acceleration of the {{domxref("Gamepad")}}, in meters per second per second.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>TBD.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('GamepadExtensions', '#gamepadpose-interface', 'GamepadPose')}}</td>
   <td>{{Spec2('GamepadExtensions')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GamepadPose")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a></li>
 <li><a href="/en-US/docs/Web/API/Gamepad_API">Gamepad API</a></li>
</ul>
